X2Go Bug report logs - #1199
PATH environment variable SET issue

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Zutao Liu <zliu@kinet-ic.com>

Date: Tue, 8 Aug 2017 01:55:01 UTC

Severity: normal

Tags: pending

Merged with 1018, 1100

Found in version 4.0.5.1

Fixed in versions 4.1.1.0, 4.1.0.1

Done: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Full log


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

Received: (at submit) by bugs.x2go.org; 8 Aug 2017 01:52:32 +0000
From zliu@kinet-ic.com  Tue Aug  8 03:52:26 2017
X-Spam-Checker-Version: SpamAssassin 3.4.1 (2015-04-28) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=3.0 tests=BAYES_50,DKIM_SIGNED,
	DKIM_VALID,HTML_MESSAGE,SPF_HELO_PASS,URIBL_BLOCKED autolearn=ham
	autolearn_force=no version=3.4.1
Received: from localhost (localhost [127.0.0.1])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTP id A04825DACC
	for <submit@bugs.x2go.org>; Tue,  8 Aug 2017 03:52:26 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at ymir.das-netzwerkteam.de
Received: from ymir.das-netzwerkteam.de ([127.0.0.1])
	by localhost (ymir.das-netzwerkteam.de [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id 3FTJsxjYIbaY for <submit@bugs.x2go.org>;
	Tue,  8 Aug 2017 03:52:21 +0200 (CEST)
X-Greylist: delayed 28921 seconds by postgrey-1.35 at ymir.das-netzwerkteam.de; Tue, 08 Aug 2017 03:52:20 CEST
Received: from NAM01-SN1-obe.outbound.protection.outlook.com (mail-sn1nam01on070c.outbound.protection.outlook.com [IPv6:2a01:111:f400:fe40::70c])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTPS id B225A5DACA
	for <submit@bugs.x2go.org>; Tue,  8 Aug 2017 03:52:19 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=kineticusa.onmicrosoft.com; s=selector1-kinetic-com01c;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version;
 bh=v2z1CIKpuyf022gmaL6NBVVemJkqqNKsV9o6v/urNE8=;
 b=UgoIC5J4LjAGMm7PdsurYVUia3LAR6nYBVWOZEHZVhkISLvOffP9tCxgBk0iUFEiOkvvGBqorMlW6T8oFnJ2LH4fK3Th8jGhCdG2oAF6DInyLLi8+h8lKKcs9T7IF9wiOnnYHt2PQBQaUFFEleqcTbabcxvcB97fswN0vs5RX1I=
Received: from BL2PR02MB260.namprd02.prod.outlook.com (10.141.89.152) by
 BL2PR02MB259.namprd02.prod.outlook.com (10.141.89.151) with Microsoft SMTP
 Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384_P256) id
 15.1.1320.16; Mon, 7 Aug 2017 02:18:29 +0000
Received: from BL2PR02MB260.namprd02.prod.outlook.com
 ([fe80::dcc7:41fa:ec8e:7c30]) by BL2PR02MB260.namprd02.prod.outlook.com
 ([fe80::dcc7:41fa:ec8e:7c30%13]) with mapi id 15.01.1320.012; Mon, 7 Aug 2017
 02:18:29 +0000
From: Zutao Liu <zliu@kinet-ic.com>
To: "submit@bugs.x2go.org" <submit@bugs.x2go.org>
Subject: PATH environment variable  SET issue
Thread-Topic: PATH environment variable  SET issue
Thread-Index: AdMPI0tjwigJKmjkSz2pmt5UHJF9BQ==
Date: Mon, 7 Aug 2017 02:18:28 +0000
Message-ID: <BL2PR02MB26039584D67ED6A828B5052E5B50@BL2PR02MB260.namprd02.prod.outlook.com>
Accept-Language: zh-CN, en-US
Content-Language: zh-CN
X-MS-Has-Attach:
X-MS-TNEF-Correlator:
authentication-results: spf=none (sender IP is )
 smtp.mailfrom=zliu@kinet-ic.com; 
x-originating-ip: [58.246.137.58]
x-ms-publictraffictype: Email
x-microsoft-exchange-diagnostics: 1;BL2PR02MB259;6:yXRPqo+IjrxQM6AZRoNXB3vFMJ1tmt+4QpOLwJkmjfPy01iLM+LABWmCw1QVLAV4N3IaIv7lfN20lPMyeOdxi4Yc937ExGebtIT/HWX1ylD/PBzX5p0smYLChgXAGkhSxCtv9NZjJt4KgqbI8q2NUASEk5gdYkZ+onnm5WTtiuagd9GWLqGHG3649wBzh5/T0w+oZzKg7jCEsnM0eCrAS2BUzSUIAUtC624XR8BT2YaYKeThNtthhewr/76UpgGJlogBJ9lpyv+hrxvQRdAs3Sd6kYAZ2vpQlInLxG1NtJ/84A6iurVpQ91MRDL8nuyagp7b/SxfT6E358Pu/fIPSw==;5:v2uk+zfecm8PiHQFwQe4Ige/eJJGh0EYmXkFlg+QPz6neMXQXmrgO7ivKeQcDYd+BXoUkpOmnmyYB1tHaB75YBX50Q0dIh9TSsx3slYaochKzmyTcP36aXzkDT8M6VTQI7Bb1nD3tOWR+sGsXYAamQ==;24:vZr3yMlP0L/HtNf2rdKAhfu3WCPuuhJAJm0Y+4lRAuQAMtmnO2t7qMnI9R7E0dYec3AUoL95z37Mxlr97XUN3K7DT0Cf8W0V0xWh66o8ghs=;7:KNnVEVACXUbCdGRH+a5sb/gTP6/YnGEfay9HnT2+7FECMsnzwAaLCZyz/swkpEawRzaPiClaUC2TVI54Yho9Ns4RZNbMzFC2HzcZS6uMbcw07Bo4E4KwHUetpffjR2CcJ33R3UxedFrTWGBql+3epsXSrk/Gw8/Fe49ckn12tivSLJVfBKyZWUnKAQ6Pzc48/O5kh6Zlzvep5lZIgkYd0yNpa9onfvvwmTkQFkMSCD0=
x-ms-exchange-antispam-srfa-diagnostics: SSOS;
x-ms-office365-filtering-correlation-id: acaba229-4770-4d28-ba30-08d4dd3a97e7
x-microsoft-antispam: UriScan:;BCL:0;PCL:0;RULEID:(300000500095)(300135000095)(300000501095)(300135300095)(22001)(300000502095)(300135100095)(2017030254152)(2017082002075)(300000503095)(300135400095)(2017052603031)(201703131423075)(201702281549075)(300000504095)(300135200095)(300000505095)(300135600095)(300000506095)(300135500095);SRVR:BL2PR02MB259;
x-ms-traffictypediagnostic: BL2PR02MB259:
x-exchange-antispam-report-test: UriScan:(21748063052155);
x-microsoft-antispam-prvs: <BL2PR02MB259B4C78302F6D7E475741CE5B50@BL2PR02MB259.namprd02.prod.outlook.com>
x-exchange-antispam-report-cfa-test: BCL:0;PCL:0;RULEID:(100000700101)(100105000095)(100000701101)(100105300095)(100000702101)(100105100095)(6040450)(601004)(2401047)(5005006)(8121501046)(100000703101)(100105400095)(93006095)(93001095)(10201501046)(3002001)(6041248)(2016111802025)(201703131423075)(201702281528075)(201703061421075)(201703061406153)(20161123555025)(20161123558100)(20161123560025)(20161123564025)(20161123562025)(6072148)(6043046)(100000704101)(100105200095)(100000705101)(100105500095);SRVR:BL2PR02MB259;BCL:0;PCL:0;RULEID:(100000800101)(100110000095)(100000801101)(100110300095)(100000802101)(100110100095)(100000803101)(100110400095)(100000804101)(100110200095)(100000805101)(100110500095);SRVR:BL2PR02MB259;
x-forefront-prvs: 0392679D18
x-forefront-antispam-report: SFV:NSPM;SFS:(10019020)(39830400002)(39410400002)(39400400002)(39450400003)(252514010)(199003)(189002)(5640700003)(6436002)(3660700001)(3280700002)(2906002)(2351001)(7696004)(33656002)(106356001)(5660300001)(101416001)(50986999)(54356999)(966005)(16234385003)(86362001)(74316002)(14454004)(105586002)(81166006)(81156014)(66066001)(8676002)(1730700003)(7736002)(189998001)(6506006)(102836003)(6116002)(790700001)(3846002)(606006)(8936002)(6916009)(2501003)(5250100002)(478600001)(53386004)(38730400002)(110136004)(236005)(25786009)(6306002)(99286003)(9686003)(68736007)(54896002)(55016002)(97736004)(2900100001)(53936002);DIR:OUT;SFP:1102;SCL:1;SRVR:BL2PR02MB259;H:BL2PR02MB260.namprd02.prod.outlook.com;FPR:;SPF:None;PTR:InfoNoRecords;A:1;MX:1;LANG:en;
received-spf: None (protection.outlook.com: kinet-ic.com does not designate
 permitted sender hosts)
spamdiagnosticoutput: 1:99
spamdiagnosticmetadata: NSPM
Content-Type: multipart/alternative;
	boundary="_000_BL2PR02MB26039584D67ED6A828B5052E5B50BL2PR02MB260namprd_"
MIME-Version: 1.0
X-OriginatorOrg: kinet-ic.com
X-MS-Exchange-CrossTenant-originalarrivaltime: 07 Aug 2017 02:18:28.9657
 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 7a255365-d0ba-417b-b7d2-55cf6fb7dc10
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BL2PR02MB259
[Message part 1 (text/plain, inline)]
Package: x2goserver
Version: 4.0.1.20-1

I have set the PATH environment variable with a bash file which placed in /etc/profile.d/, but the PATH variable will be reset by x2goserver, so now I can not set PATH environment variable by myself. Could you help let x2goserver not set the PATH variable.

Thanks to you.

I am using RHEL 6.

Best Regards

Zutao Liu 刘祖韬
Kinetic Technologies
Room 1107, Lingyang Building, Zuchongzhi Road 1077#, Pudong New Area, Shanghai, China
Cell: +86 13916678566
Email: zliu@kinet-ic.com<mailto:zliu@kinet-ic.com>
Web: http://www.kinet-ic.com<http://www.kinet-ic.com/>

[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Wed Sep 30 03:52:54 2020; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.